import { Color, RGBA } from 'vscode/vscode/vs/base/common/color';
import { localize } from 'vscode/vscode/vs/nls';
import { registerColor, transparent } from 'vscode/vscode/vs/platform/theme/common/colorUtils';
import { contrastBorder, foreground } from 'vscode/vscode/vs/platform/theme/common/colors/baseColors';
import 'vscode/vscode/vs/platform/theme/common/colors/chartsColors';
import { editorBackground, editorWidgetBackground } from 'vscode/vscode/vs/platform/theme/common/colors/editorColors';
import 'vscode/vscode/vs/platform/theme/common/colors/inputColors';
import 'vscode/vscode/vs/platform/theme/common/colors/listColors';
import 'vscode/vscode/vs/platform/theme/common/colors/menuColors';
import 'vscode/vscode/vs/platform/theme/common/colors/minimapColors';
import { badgeBackground, badgeForeground } from 'vscode/vscode/vs/platform/theme/common/colors/miscColors';
import 'vscode/vscode/vs/platform/theme/common/colors/quickpickColors';
import 'vscode/vscode/vs/platform/theme/common/colors/searchColors';

registerColor('chat.requestBorder', { dark: ( (new Color( (new RGBA(255, 255, 255, 0.10))))), light: ( (new Color( (new RGBA(0, 0, 0, 0.10))))), hcDark: contrastBorder, hcLight: contrastBorder, }, ( localize(7444, 'The border color of a chat request.')));
const chatRequestBackground = registerColor('chat.requestBackground', { dark: ( (transparent(editorBackground, 0.62))), light: ( (transparent(editorBackground, 0.62))), hcDark: editorWidgetBackground, hcLight: null }, ( localize(7445, 'The background color of a chat request.')));
const chatSlashCommandBackground = registerColor('chat.slashCommandBackground', { dark: '#34414b8f', light: '#d2ecff99', hcDark: Color.white, hcLight: badgeBackground }, ( localize(7446, 'The background color of a chat slash command.')));
const chatSlashCommandForeground = registerColor('chat.slashCommandForeground', { dark: '#40A6FF', light: '#306CA2', hcDark: Color.black, hcLight: badgeForeground }, ( localize(7447, 'The foreground color of a chat slash command.')));
registerColor('chat.avatarBackground', { dark: '#1f1f1f', light: '#f2f2f2', hcDark: Color.black, hcLight: Color.white, }, ( localize(7448, 'The background color of a chat avatar.')));
registerColor('chat.avatarForeground', foreground, ( localize(7449, 'The foreground color of a chat avatar.')));
registerColor('chat.editedFileForeground', {
    light: '#895503',
    dark: '#E2C08D',
    hcDark: '#E2C08D',
    hcLight: '#895503'
}, ( localize(
 7450,
 'The foreground color of a chat edited file in the edited file list.'
)));

export { chatRequestBackground, chatSlashCommandBackground, chatSlashCommandForeground };
